SSH Keys
- POST /users/ssh-keys/create
Create SSH key pair
Create a new SSH key pair with authentication
- Status Codes:
200 OK – SSH key pair created successfully
400 Bad Request – Invalid input format or request
401 Unauthorized – Invalid or missing authorization token
500 Internal Server Error – Internal server error
- Request Headers:
Authorization – Bearer token
- DELETE /users/ssh-keys/delete
Delete SSH key pair
Delete an SSH key pair with authentication
- Status Codes:
200 OK – SSH key pair deleted successfully
400 Bad Request – Invalid input format or request
401 Unauthorized – Invalid or missing authorization token
500 Internal Server Error – Internal server error
- Request Headers:
Authorization – Bearer token
- POST /users/ssh-keys/getByID
Get SSH key pair by ID
Retrieve specific SSH key pair by its unique identifier
- Status Codes:
200 OK – SSH key pair details
400 Bad Request – Invalid input format or request
401 Unauthorized – Invalid or missing authorization token
500 Internal Server Error – Internal server error
- Request Headers:
Authorization – Bearer token
- POST /users/ssh-keys/list
List SSH key pairs
Retrieve a list of SSH key pairs with authentication
- Status Codes:
200 OK – List of SSH key pairs
400 Bad Request – Invalid input format or request
401 Unauthorized – Invalid or missing authorization token
500 Internal Server Error – Internal server error
- Request Headers:
Authorization – Bearer token